// AI_API_TestDlg.h : header file
//

#if !defined(AFX_AI_API_TESTDLG_H__8CED63A5_E125_4411_B91F_EFA217C7B34E__INCLUDED_)
#define AFX_AI_API_TESTDLG_H__8CED63A5_E125_4411_B91F_EFA217C7B34E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CAI_API_TestDlg dialog

class CAI_API_TestDlg : public CDialog
{
// Construction
public:
	CAI_API_TestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CAI_API_TestDlg)
	enum { IDD = IDD_AI_API_TEST_DIALOG };
	CEdit	m_txtUserDefinedBID;
	CEdit	m_txtWDTTimeout;
	CEdit	m_txtNickname;
	CButton	m_chbxWireDetection;
	CButton	m_chbxEnableCJC;
	CEdit	m_txtCJCOffset;
	CEdit	m_txtFilterRejection;
	CEdit	m_txtDataFormat;
	CEdit	m_txtChEnable;
	CEdit	m_txtSetChCJCOffsetChannel;
	CEdit	m_txtSetTypeCodeChannel;
	CEdit	m_txtChCJCOffset;
	CEdit	m_txtTypeCode;
	CListBox	m_lbModuleInfo;
	CButton	m_btnOpen;
	CButton	m_btnClose;
	CEdit	m_txtBID;
	CComboBox	m_cbxDID;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAI_API_TestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CAI_API_TestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnExit();
	afx_msg void OnOpenDevice();
	afx_msg void OnCloseDevice();
	afx_msg void OnClose();
	afx_msg void OnGetSupTypeCode();
	afx_msg void OnGetChTypeCode();
	afx_msg void OnGetChOffset();
	afx_msg void OnGetChEnable();
	afx_msg void OnGetDataFormat();
	afx_msg void OnGetFilterRejection();
	afx_msg void OnGetCJCSetting();
	afx_msg void OnGetWireDetection();
	afx_msg void OnSetTypeCode();
	afx_msg void OnSetChCJCOffset();
	afx_msg void OnSetChEnable();
	afx_msg void OnSetDataFormat();
	afx_msg void OnSetFilterRejection();
	afx_msg void OnSetCJCOffset();
	afx_msg void OnSetWireDetection();
	afx_msg void OnRefreshInfo();
	afx_msg void OnSetNickname();
	afx_msg void OnSetWDTTimeout();
	afx_msg void OnSetBoardID();
	afx_msg void OnLoadDefault();
	afx_msg void OnGetResolution();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AI_API_TESTDLG_H__8CED63A5_E125_4411_B91F_EFA217C7B34E__INCLUDED_)
